# Class CIM_BIOSPassword
extends CIM_BIOSAttribute

The CIM_BIOSPassword object may be used to instantiate detail information about manageable BIOS-based passwords.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_BIOSAttribute
|
+--CIM_BIOSPassword

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | The CIM_BIOSPassword object may be used to instantiate detail information about manageable BIOS-based passwords.
UMLPackagePath | string | CIM::System::BIOS
Version | string | 2.27.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
IsSet | boolean |
Description | string | This property returns TRUE if the current password instance is non-blank and FALSE otherwise. This property is provided because the Value property is always defined as NULL for password instances.
MaxLength | uint64 |
Description | string | This property specifies the maximum string length allowed when modifying this BIOS attribute. A value of NULL defines the maximum length is unknown. A value of 0 defines the maximum length as 18446744073709551615, the limitation of the property definition as uint64.
ModelCorrespondence | string | CIM_BIOSPassword.MinLength
MinLength | uint64 |
Description | string | This property specifies the minimum string length allowed when modifying this BIOS attribute. A value of NULL SHALL be defined as zero.
ModelCorrespondence | string | CIM_BIOSPassword.MaxLength
PasswordEncoding | uint32 |

Description

string

PasswordEncoding specifies encoding tag used to denote the format the password string was createdor set with "kbd" denotes a string in hexadecimal format containing keyboard scan code input. An example of a password structured in this format would be "321539191E1F1F11181320", which is the representation of "my password" in US English keyboard scan codes. "ascii" denotes clear text that shall comply with the ASCII character set. Character encodings from " " (decimal 32) to "~" (decimal 126) are supported. An example would be "my password"."pin" denotes that only numeric input in ASCII text is allowed for the password instance. An example would be "1234".

ModelCorrespondence | string | CIM_BIOSServiceCapabilities.SupportedPasswordEncodings
ValueMap | string | 2, 3, 4, 5, .., 65536..4294967295
Values | string | ascii, kbd, pin, Unicode, DMTF Reserved, Vendor Reserved
CurrentValue | string[] |
Description | string | CurrentValue shall return an empty array.
Override | string | CurrentValue
Required | boolean | true
PendingValue | string[] |
Description | string | PendingValue shall return an empty array.
Override | string | PendingValue
Required | boolean | true

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
AttributeName | string | CIM_BIOSAttribute
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_BIOSAttribute
IsOrderedList | boolean | CIM_BIOSAttribute
IsReadOnly | boolean | CIM_BIOSAttribute
DefaultValue | string[] | CIM_BIOSAttribute

## Class Methods